org.hibernate.validator.ap.checks

## Class TypeCheck

- java.lang.Object
- - org.hibernate.validator.ap.checks.AbstractConstraintCheck
  - - org.hibernate.validator.ap.checks.TypeCheck

- All Implemented Interfaces:
    ConstraintCheck

      public class TypeCheck
      extends AbstractConstraintCheck

  Checks, that constraint annotations are only specified at elements of a type supported by the constraints. Applies to fields, methods and non-annotation type declarations.
  Author:
    Gunnar Morling

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TypeCheck(ConstraintHelper constraintHelper)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Set<ConstraintCheckError>` | `checkField(VariableElement element, AnnotationMirror annotation)` Checks, whether the given annotation is allowed at the given field.
    `Set<ConstraintCheckError>` | `checkMethod(ExecutableElement element, AnnotationMirror annotation)` Checks, whether the given annotation is allowed at the given method.
    `Set<ConstraintCheckError>` | `checkNonAnnotationType(TypeElement element, AnnotationMirror annotation)` Checks, whether the given annotation is allowed at the given type declaration (class, interface, enum).

    - ### Methods inherited from class org.hibernate.validator.ap.checks.AbstractConstraintCheck

      `checkAnnotationType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TypeCheck

          public TypeCheck(ConstraintHelper constraintHelper)

  - ### Method Detail

    - #### checkField

          public Set<ConstraintCheckError> checkField(VariableElement element,
                                             AnnotationMirror annotation)

      Description copied from interface: `ConstraintCheck`
      Checks, whether the given annotation is allowed at the given field.
      Specified by:
        `checkField` in interface `ConstraintCheck`
      Overrides:
        `checkField` in class `AbstractConstraintCheck`
      Parameters:
        `element` - An annotated field.
        `annotation` - An annotation at that field.
      Returns:
        A set with errors, that describe, why the given annotation is not allowed at the given element. In case no errors occur (the given annotation is allowed at the given element), an empty set must be returned.

    - #### checkMethod

          public Set<ConstraintCheckError> checkMethod(ExecutableElement element,
                                              AnnotationMirror annotation)

      Description copied from interface: `ConstraintCheck`
      Checks, whether the given annotation is allowed at the given method.
      Specified by:
        `checkMethod` in interface `ConstraintCheck`
      Overrides:
        `checkMethod` in class `AbstractConstraintCheck`
      Parameters:
        `element` - An annotated method.
        `annotation` - An annotation at that method.
      Returns:
        A set with errors, that describe, why the given annotation is not allowed at the given element. In case no errors occur (the given annotation is allowed at the given element), an empty set must be returned.

    - #### checkNonAnnotationType

          public Set<ConstraintCheckError> checkNonAnnotationType(TypeElement element,
                                                         AnnotationMirror annotation)

      Description copied from interface: `ConstraintCheck`
      Checks, whether the given annotation is allowed at the given type declaration (class, interface, enum).
      Specified by:
        `checkNonAnnotationType` in interface `ConstraintCheck`
      Overrides:
        `checkNonAnnotationType` in class `AbstractConstraintCheck`
      Parameters:
        `element` - An annotated type declaration.
        `annotation` - An annotation at that type.
      Returns:
        A set with errors, that describe, why the given annotation is not allowed at the given element. In case no errors occur (the given annotation is allowed at the given element), an empty set must be returned.

Copyright © 2007-2014 Red Hat, Inc. All Rights Reserved